CREATE PROCEDURE DBO.CopyRoomType @OldRoomType int, @NewRoomType int as
SET NOCOUNT ON
-- LAst changed : AV 2007 1220 fix for master record missing, the packet relations

Declare @ProductPriceNumber Int
Declare @ProductNumber Int
Declare @DateStamp VarChar (8)
Declare @RoomtypeNumber int
Declare @AdultPrice1 Money
Declare @AdultPrice2 Money
Declare @AdultPrice3 Money
Declare @AdultPrice4  Money
Declare @AdultPrice5  Money
Declare @AdultPrice6  Money
Declare @AdultPrice7  Money
Declare @AdultPrice8  Money
Declare @AdultPrice9  Money
Declare @Children1Price1  Money
Declare @Children1Price2  Money
Declare @Children1Price3  Money
Declare @Children1Price4  Money
Declare @Children1Price5  Money
Declare @Children1Price6  Money
Declare @Children1Price7  Money
Declare @Children1Price8  Money
Declare @Children1Price9  Money
Declare @Children2Price1  Money
Declare @Children2Price2  Money
Declare @Children2Price3  Money
Declare @Children2Price4  Money
Declare @Children2Price5  Money
Declare @Children2Price6  Money
Declare @Children2Price7  Money
Declare @Children2Price8  Money
Declare @Children2Price9  Money

Declare @AdultArrivalAddon  Money
Declare @AdultStayAddon  Money
Declare @AdultDepartureAddon  Money

Declare @Children1ArrivalAddon  Money
Declare @Children1StayAddon  Money
Declare @Children1DepartureAddon  Money

Declare @Children2ArrivalAddon  Money
Declare @Children2StayAddon  Money
Declare @Children2DepartureAddon  Money

Declare @ArrivalPacketNumber int
Declare @StayPacketNumber int
Declare @DeparturePacketNumber int

Declare @FormatedStartDate Char (10)
Declare @FormatedEndDate Char (10)
Declare @TotalPrice money
Declare @IsDayProduct Bit
Declare @IsFixedPrice Bit

Declare @BillTextAddOnArrival VARCHAR(50)
Declare @BillTextAddOnStay VARCHAR(50)
Declare @BillTextAddOnDeparture VARCHAR(50)

Declare @EnvironmentFeeType SmallInt

Declare @FormatedPriceDate char(8)

Declare @AdultArrivalAddon2 MONEY
Declare @AdultStayAddon2 MONEY
Declare @AdultDepartureAddon2 MONEY
Declare @Children1ArrivalAddon2 MONEY
Declare @Children1StayAddon2 MONEY
Declare @Children1DepartureAddon2 MONEY
Declare @Children2ArrivalAddon2 MONEY
Declare @Children2StayAddon2 MONEY
Declare @Children2DepartureAddon2 MONEY

Declare @AdultArrivalAddon3 MONEY
Declare @AdultStayAddon3 MONEY
Declare @AdultDepartureAddon3 MONEY
Declare @Children1ArrivalAddon3 MONEY
Declare @Children1StayAddon3 MONEY
Declare @Children1DepartureAddon3 MONEY
Declare @Children2ArrivalAddon3 MONEY
Declare @Children2StayAddon3 MONEY
Declare @Children2DepartureAddon3 MONEY

Declare @AdultArrivalAddon4 MONEY
Declare @AdultStayAddon4 MONEY
Declare @AdultDepartureAddon4 MONEY
Declare @Children1ArrivalAddon4 MONEY
Declare @Children1StayAddon4 MONEY
Declare @Children1DepartureAddon4 MONEY
Declare @Children2ArrivalAddon4 MONEY

Declare @Children2StayAddon4 MONEY
Declare @Children2DepartureAddon4 MONEY

Declare @AdultArrivalAddon5 MONEY
Declare @AdultStayAddon5 MONEY
Declare @AdultDepartureAddon5 MONEY
Declare @Children1ArrivalAddon5 MONEY
Declare @Children1StayAddon5 MONEY
Declare @Children1DepartureAddon5 MONEY
Declare @Children2ArrivalAddon5 MONEY
Declare @Children2StayAddon5 MONEY
Declare @Children2DepartureAddon5 MONEY

Declare @AdultArrivalAddon6 MONEY
Declare @AdultStayAddon6 MONEY
Declare @AdultDepartureAddon6 MONEY
Declare @Children1ArrivalAddon6 MONEY
Declare @Children1StayAddon6 MONEY
Declare @Children1DepartureAddon6 MONEY
Declare @Children2ArrivalAddon6 MONEY
Declare @Children2StayAddon6 MONEY
Declare @Children2DepartureAddon6 MONEY

Declare @AdultArrivalAddon7 MONEY
Declare @AdultStayAddon7 MONEY
Declare @AdultDepartureAddon7 MONEY
Declare @Children1ArrivalAddon7 MONEY
Declare @Children1StayAddon7 MONEY
Declare @Children1DepartureAddon7 MONEY
Declare @Children2ArrivalAddon7 MONEY
Declare @Children2StayAddon7 MONEY
Declare @Children2DepartureAddon7 MONEY

Declare @AdultArrivalAddon8 MONEY
Declare @AdultStayAddon8 MONEY
Declare @AdultDepartureAddon8 MONEY
Declare @Children1ArrivalAddon8 MONEY
Declare @Children1StayAddon8 MONEY
Declare @Children1DepartureAddon8 MONEY
Declare @Children2ArrivalAddon8 MONEY
Declare @Children2StayAddon8 MONEY
Declare @Children2DepartureAddon8 MONEY

Declare @AdultArrivalAddon9 MONEY
Declare @AdultStayAddon9 MONEY
Declare @AdultDepartureAddon9 MONEY
Declare @Children1ArrivalAddon9 MONEY
Declare @Children1StayAddon9 MONEY
Declare @Children1DepartureAddon9 MONEY
Declare @Children2ArrivalAddon9 MONEY
Declare @Children2StayAddon9 MONEY
Declare @Children2DepartureAddon9 MONEY

/*PRINT '@FormatedPriceDate  @FormatedStartDate @FormatedEndDate'
PRINT @FormatedPriceDate
Print   @FormatedStartDate 
Print @FormatedEndDate
PRINT '@PriceDate  @StartDate @EndDate'
PRINT @PriceDate
Print   @ArrivalDate 
Print @DepartureDate */

Declare @DayProduct Bit

Declare @CalcArrivalPrice money

DECLARE @AddOnFieldsPerPerson Bit
Declare @AddonType SmallInt

DECLARE @Modifier1 Smallint
DECLARE @Modifier2 Smallint

Declare CopyCur Cursor Forward_Only FOR
  SELECT 
    ProductNumber, 
    DateStamp, 
    AdultPrice1, 
    AdultPrice2, 
    AdultPrice3, 
    AdultPrice4, 
    AdultPrice5, 
    AdultPrice6, 
    AdultPrice7, 
    AdultPrice8, 
    AdultPrice9, 
    Children1Price1, 
    Children1Price2, 
    Children1Price3, 
    Children1Price4, 
    Children1Price5, 
    Children1Price6, 
    Children1Price7, 
    Children1Price8, 
    Children1Price9, 
    Children2Price1, 
    Children2Price2, 
    Children2Price3,
    Children2Price4,
    Children2Price5, 
    Children2Price6, 
    Children2Price7, 
    Children2Price8, 
    Children2Price9, 
    AdultArrivalAddon, 
    AdultStayAddon, 
    AdultDepartureAddon, 
    Children1ArrivalAddon, 
    Children1StayAddon, 
    Children1DepartureAddon, 
    Children2ArrivalAddon, 
    Children2StayAddon, 
    Children2DepartureAddon, 

AdultArrivalAddon2, 
AdultStayAddon2, 
AdultDepartureAddon2, 
Children1ArrivalAddon2, 
Children1StayAddon2, 
Children1DepartureAddon2, 
Children2ArrivalAddon2, 
Children2StayAddon2, 
Children2DepartureAddon2,

AdultArrivalAddon3, 
AdultStayAddon3, 
AdultDepartureAddon3,
Children1ArrivalAddon3,
Children1StayAddon3, 
Children1DepartureAddon3, 
Children2ArrivalAddon3, 
Children2StayAddon3, 
Children2DepartureAddon3,

AdultArrivalAddon4, 
AdultStayAddon4, 
AdultDepartureAddon4, 
Children1ArrivalAddon4, 
Children1StayAddon4, 
Children1DepartureAddon4, 
Children2ArrivalAddon4, 
Children2StayAddon4, 
Children2DepartureAddon4,

AdultArrivalAddon5, 
AdultStayAddon5, 
AdultDepartureAddon5, 
Children1ArrivalAddon5, 
Children1StayAddon5, 
Children1DepartureAddon5, 
Children2ArrivalAddon5, 
Children2StayAddon5, 
Children2DepartureAddon5,

AdultArrivalAddon6, 
AdultStayAddon6,
AdultDepartureAddon6,
Children1ArrivalAddon6, 
Children1StayAddon6, 
Children1DepartureAddon6, 
Children2ArrivalAddon6, 
Children2StayAddon6, 
Children2DepartureAddon6,

AdultArrivalAddon7, 
AdultStayAddon7, 
AdultDepartureAddon7, 
Children1ArrivalAddon7, 
Children1StayAddon7, 
Children1DepartureAddon7, 
Children2ArrivalAddon7, 
Children2StayAddon7, 
Children2DepartureAddon7,

AdultArrivalAddon8, 
AdultStayAddon8, 
AdultDepartureAddon8, 
Children1ArrivalAddon8, 
Children1StayAddon8, 
Children1DepartureAddon8, 
Children2ArrivalAddon8, 
Children2StayAddon8, 
Children2DepartureAddon8,

AdultArrivalAddon9,
AdultStayAddon9,
AdultDepartureAddon9, 
Children1ArrivalAddon9, 
Children1StayAddon9, 
Children1DepartureAddon9, 
Children2ArrivalAddon9, 
Children2StayAddon9, 
Children2DepartureAddon9,
ArrivalPacketNumber, 
StayPacketNumber, 
DeparturePacketNumber 
  From ProductPrice WITH (NOLOCK)
  Where RoomTypeNumber = @OldRoomType

Open CopyCur
Fetch Next From CopyCur
Into 
    @ProductNumber, 
    @DateStamp, 
    @AdultPrice1, 
    @AdultPrice2, 
    @AdultPrice3, 
    @AdultPrice4, 

    @AdultPrice5, 
    @AdultPrice6, 
    @AdultPrice7, 

    @AdultPrice8, 
    @AdultPrice9, 
    @Children1Price1, 
    @Children1Price2, 
    @Children1Price3, 
    @Children1Price4, 
    @Children1Price5, 
    @Children1Price6, 
    @Children1Price7, 
    @Children1Price8, 
    @Children1Price9, 
    @Children2Price1, 
    @Children2Price2, 
    @Children2Price3,
    @Children2Price4,
    @Children2Price5, 
    @Children2Price6, 
    @Children2Price7, 
    @Children2Price8, 
    @Children2Price9, 
    @AdultArrivalAddon, 
    @AdultStayAddon, 
    @AdultDepartureAddon, 
    @Children1ArrivalAddon, 
    @Children1StayAddon, 
    @Children1DepartureAddon, 
    @Children2ArrivalAddon, 
    @Children2StayAddon, 
    @Children2DepartureAddon, 

@AdultArrivalAddon2, 
@AdultStayAddon2, 
@AdultDepartureAddon2, 
@Children1ArrivalAddon2, 
@Children1StayAddon2, 
@Children1DepartureAddon2, 
@Children2ArrivalAddon2, 
@Children2StayAddon2, 
@Children2DepartureAddon2,

@AdultArrivalAddon3, 
@AdultStayAddon3, 
@AdultDepartureAddon3,
@Children1ArrivalAddon3,
@Children1StayAddon3, 
@Children1DepartureAddon3, 
@Children2ArrivalAddon3, 
@Children2StayAddon3, 
@Children2DepartureAddon3,

@AdultArrivalAddon4, 
@AdultStayAddon4, 
@AdultDepartureAddon4, 
@Children1ArrivalAddon4, 
@Children1StayAddon4, 
@Children1DepartureAddon4, 
@Children2ArrivalAddon4, 
@Children2StayAddon4, 
@Children2DepartureAddon4,

@AdultArrivalAddon5, 
@AdultStayAddon5, 
@AdultDepartureAddon5, 
@Children1ArrivalAddon5, 
@Children1StayAddon5, 
@Children1DepartureAddon5, 
@Children2ArrivalAddon5, 
@Children2StayAddon5, 
@Children2DepartureAddon5,

@AdultArrivalAddon6, 
@AdultStayAddon6,
@AdultDepartureAddon6,
@Children1ArrivalAddon6, 
@Children1StayAddon6, 
@Children1DepartureAddon6, 
@Children2ArrivalAddon6, 
@Children2StayAddon6, 
@Children2DepartureAddon6,

@AdultArrivalAddon7, 
@AdultStayAddon7, 
@AdultDepartureAddon7, 
@Children1ArrivalAddon7, 
@Children1StayAddon7, 
@Children1DepartureAddon7, 
@Children2ArrivalAddon7, 
@Children2StayAddon7, 
@Children2DepartureAddon7,

@AdultArrivalAddon8, 
@AdultStayAddon8, 
@AdultDepartureAddon8, 
@Children1ArrivalAddon8, 
@Children1StayAddon8, 
@Children1DepartureAddon8, 
@Children2ArrivalAddon8, 
@Children2StayAddon8, 
@Children2DepartureAddon8,

@AdultArrivalAddon9,
@AdultStayAddon9,
@AdultDepartureAddon9, 
@Children1ArrivalAddon9, 
@Children1StayAddon9, 
@Children1DepartureAddon9, 
@Children2ArrivalAddon9, 
@Children2StayAddon9, 
@Children2DepartureAddon9,

    @ArrivalPacketNumber, 
    @StayPacketNumber, 
    @DeparturePacketNumber


While (@@Fetch_status=0)
begin
  if @ArrivalPacketNumber  = 0 SET @ArrivalPacketNumber = NULL
  if @StayPacketNumber  = 0 SET @StayPacketNumber = NULL
  if @DeparturePacketNumber  = 0 SET @DeparturePacketNumber = NULL
  Insert Into ProductPrice (  RoomTypeNumber, ProductNumber, 
    DateStamp, 
    AdultPrice1, 
    AdultPrice2, 
    AdultPrice3, 
    AdultPrice4, 
    AdultPrice5, 
    AdultPrice6, 
    AdultPrice7, 
    AdultPrice8, 
    AdultPrice9, 
    Children1Price1, 
    Children1Price2, 
    Children1Price3, 
    Children1Price4, 
    Children1Price5, 
    Children1Price6, 
    Children1Price7, 
    Children1Price8, 
    Children1Price9, 
    Children2Price1, 
    Children2Price2, 
    Children2Price3,
    Children2Price4,
    Children2Price5, 
    Children2Price6, 
    Children2Price7, 
    Children2Price8, 
    Children2Price9, 
    AdultArrivalAddon, 
    AdultStayAddon, 
    AdultDepartureAddon, 
    Children1ArrivalAddon, 
    Children1StayAddon, 
    Children1DepartureAddon, 
    Children2ArrivalAddon, 
    Children2StayAddon, 
    Children2DepartureAddon, 

AdultArrivalAddon2, 
AdultStayAddon2, 
AdultDepartureAddon2, 
Children1ArrivalAddon2, 
Children1StayAddon2, 
Children1DepartureAddon2, 
Children2ArrivalAddon2, 
Children2StayAddon2, 
Children2DepartureAddon2,

AdultArrivalAddon3, 
AdultStayAddon3, 
AdultDepartureAddon3,
Children1ArrivalAddon3,
Children1StayAddon3, 
Children1DepartureAddon3, 
Children2ArrivalAddon3, 
Children2StayAddon3, 
Children2DepartureAddon3,

AdultArrivalAddon4, 
AdultStayAddon4, 
AdultDepartureAddon4, 
Children1ArrivalAddon4, 
Children1StayAddon4, 
Children1DepartureAddon4, 
Children2ArrivalAddon4, 
Children2StayAddon4, 
Children2DepartureAddon4,

AdultArrivalAddon5, 
AdultStayAddon5, 
AdultDepartureAddon5, 
Children1ArrivalAddon5, 
Children1StayAddon5, 
Children1DepartureAddon5, 
Children2ArrivalAddon5, 
Children2StayAddon5, 
Children2DepartureAddon5,

AdultArrivalAddon6, 
AdultStayAddon6,
AdultDepartureAddon6,
Children1ArrivalAddon6, 
Children1StayAddon6, 
Children1DepartureAddon6, 
Children2ArrivalAddon6, 
Children2StayAddon6, 
Children2DepartureAddon6,

AdultArrivalAddon7, 
AdultStayAddon7, 
AdultDepartureAddon7, 
Children1ArrivalAddon7, 
Children1StayAddon7, 
Children1DepartureAddon7, 
Children2ArrivalAddon7, 
Children2StayAddon7, 
Children2DepartureAddon7,

AdultArrivalAddon8, 
AdultStayAddon8, 
AdultDepartureAddon8, 
Children1ArrivalAddon8, 
Children1StayAddon8, 
Children1DepartureAddon8, 
Children2ArrivalAddon8, 
Children2StayAddon8, 
Children2DepartureAddon8,

AdultArrivalAddon9,
AdultStayAddon9,
AdultDepartureAddon9, 
Children1ArrivalAddon9, 
Children1StayAddon9, 
Children1DepartureAddon9, 
Children2ArrivalAddon9, 
Children2StayAddon9, 
Children2DepartureAddon9,
ArrivalPacketNumber, 
StayPacketNumber, 
DeparturePacketNumber 
) Values( @NewRoomType, @ProductNumber, 
    @DateStamp, 
    @AdultPrice1, 
    @AdultPrice2, 
    @AdultPrice3, 
    @AdultPrice4, 
    @AdultPrice5, 
    @AdultPrice6, 
    @AdultPrice7, 

    @AdultPrice8, 
    @AdultPrice9, 
    @Children1Price1, 
    @Children1Price2, 
    @Children1Price3, 
    @Children1Price4, 
    @Children1Price5, 
    @Children1Price6, 
    @Children1Price7, 
    @Children1Price8, 
    @Children1Price9, 
    @Children2Price1, 
    @Children2Price2, 
    @Children2Price3,
    @Children2Price4,
    @Children2Price5, 
    @Children2Price6, 
    @Children2Price7, 
    @Children2Price8, 
    @Children2Price9, 
    @AdultArrivalAddon, 
    @AdultStayAddon, 
    @AdultDepartureAddon, 
    @Children1ArrivalAddon, 
    @Children1StayAddon, 
    @Children1DepartureAddon, 
    @Children2ArrivalAddon, 
    @Children2StayAddon, 
    @Children2DepartureAddon, 

@AdultArrivalAddon2, 
@AdultStayAddon2, 
@AdultDepartureAddon2, 
@Children1ArrivalAddon2, 
@Children1StayAddon2, 
@Children1DepartureAddon2, 
@Children2ArrivalAddon2, 
@Children2StayAddon2, 
@Children2DepartureAddon2,

@AdultArrivalAddon3, 
@AdultStayAddon3, 
@AdultDepartureAddon3,
@Children1ArrivalAddon3,
@Children1StayAddon3, 
@Children1DepartureAddon3, 
@Children2ArrivalAddon3, 
@Children2StayAddon3, 
@Children2DepartureAddon3,

@AdultArrivalAddon4, 
@AdultStayAddon4, 
@AdultDepartureAddon4, 
@Children1ArrivalAddon4, 
@Children1StayAddon4, 
@Children1DepartureAddon4, 
@Children2ArrivalAddon4, 
@Children2StayAddon4, 
@Children2DepartureAddon4,

@AdultArrivalAddon5, 
@AdultStayAddon5, 
@AdultDepartureAddon5, 
@Children1ArrivalAddon5, 
@Children1StayAddon5, 
@Children1DepartureAddon5, 
@Children2ArrivalAddon5, 
@Children2StayAddon5, 
@Children2DepartureAddon5,

@AdultArrivalAddon6, 
@AdultStayAddon6,
@AdultDepartureAddon6,
@Children1ArrivalAddon6, 
@Children1StayAddon6, 
@Children1DepartureAddon6, 
@Children2ArrivalAddon6, 
@Children2StayAddon6, 
@Children2DepartureAddon6,

@AdultArrivalAddon7, 
@AdultStayAddon7, 
@AdultDepartureAddon7, 
@Children1ArrivalAddon7, 
@Children1StayAddon7, 
@Children1DepartureAddon7, 
@Children2ArrivalAddon7, 
@Children2StayAddon7, 
@Children2DepartureAddon7,

@AdultArrivalAddon8, 
@AdultStayAddon8, 
@AdultDepartureAddon8, 
@Children1ArrivalAddon8, 
@Children1StayAddon8, 
@Children1DepartureAddon8, 
@Children2ArrivalAddon8, 
@Children2StayAddon8, 
@Children2DepartureAddon8,

@AdultArrivalAddon9,
@AdultStayAddon9,
@AdultDepartureAddon9, 
@Children1ArrivalAddon9, 
@Children1StayAddon9, 
@Children1DepartureAddon9, 
@Children2ArrivalAddon9, 
@Children2StayAddon9, 
@Children2DepartureAddon9,

    @ArrivalPacketNumber, 
    @StayPacketNumber, 
    @DeparturePacketNumber

)


Fetch Next From CopyCur
Into 
    @ProductNumber, 
    @DateStamp, 
    @AdultPrice1, 
    @AdultPrice2, 
    @AdultPrice3, 
    @AdultPrice4, 
    @AdultPrice5, 
    @AdultPrice6, 
    @AdultPrice7, 

    @AdultPrice8, 
    @AdultPrice9, 
    @Children1Price1, 
    @Children1Price2, 
    @Children1Price3, 
    @Children1Price4, 
    @Children1Price5, 
    @Children1Price6, 
    @Children1Price7, 
    @Children1Price8, 
    @Children1Price9, 
    @Children2Price1, 
    @Children2Price2, 
    @Children2Price3,
    @Children2Price4,
    @Children2Price5, 
    @Children2Price6, 
    @Children2Price7, 
    @Children2Price8, 
    @Children2Price9, 
    @AdultArrivalAddon, 
    @AdultStayAddon, 
    @AdultDepartureAddon, 
    @Children1ArrivalAddon, 
    @Children1StayAddon, 
    @Children1DepartureAddon, 
    @Children2ArrivalAddon, 
    @Children2StayAddon, 
    @Children2DepartureAddon, 

@AdultArrivalAddon2, 
@AdultStayAddon2, 
@AdultDepartureAddon2, 
@Children1ArrivalAddon2, 
@Children1StayAddon2, 
@Children1DepartureAddon2, 
@Children2ArrivalAddon2, 
@Children2StayAddon2, 
@Children2DepartureAddon2,

@AdultArrivalAddon3, 
@AdultStayAddon3, 
@AdultDepartureAddon3,
@Children1ArrivalAddon3,
@Children1StayAddon3, 
@Children1DepartureAddon3, 
@Children2ArrivalAddon3, 
@Children2StayAddon3, 
@Children2DepartureAddon3,

@AdultArrivalAddon4, 
@AdultStayAddon4, 
@AdultDepartureAddon4, 
@Children1ArrivalAddon4, 
@Children1StayAddon4, 
@Children1DepartureAddon4, 
@Children2ArrivalAddon4, 
@Children2StayAddon4, 
@Children2DepartureAddon4,

@AdultArrivalAddon5, 
@AdultStayAddon5, 
@AdultDepartureAddon5, 
@Children1ArrivalAddon5, 
@Children1StayAddon5, 
@Children1DepartureAddon5, 
@Children2ArrivalAddon5, 
@Children2StayAddon5, 
@Children2DepartureAddon5,

@AdultArrivalAddon6, 
@AdultStayAddon6,
@AdultDepartureAddon6,
@Children1ArrivalAddon6, 
@Children1StayAddon6, 
@Children1DepartureAddon6, 
@Children2ArrivalAddon6, 
@Children2StayAddon6, 
@Children2DepartureAddon6,

@AdultArrivalAddon7, 
@AdultStayAddon7, 
@AdultDepartureAddon7, 
@Children1ArrivalAddon7, 
@Children1StayAddon7, 
@Children1DepartureAddon7, 
@Children2ArrivalAddon7, 
@Children2StayAddon7, 
@Children2DepartureAddon7,

@AdultArrivalAddon8, 
@AdultStayAddon8, 
@AdultDepartureAddon8, 
@Children1ArrivalAddon8, 
@Children1StayAddon8, 
@Children1DepartureAddon8, 
@Children2ArrivalAddon8, 
@Children2StayAddon8, 
@Children2DepartureAddon8,

@AdultArrivalAddon9,
@AdultStayAddon9,
@AdultDepartureAddon9, 
@Children1ArrivalAddon9, 
@Children1StayAddon9, 
@Children1DepartureAddon9, 
@Children2ArrivalAddon9, 
@Children2StayAddon9, 
@Children2DepartureAddon9,

    @ArrivalPacketNumber, 
    @StayPacketNumber, 
    @DeparturePacketNumber

end

